## org.hibernate.criterion
Class IlikeExpression

    java.lang.Object
      org.hibernate.criterion.IlikeExpression

All Implemented Interfaces:
  Serializable, Criterion

Deprecated.

    @Deprecated
    public class IlikeExpression

extends Object
implements Criterion

A case-insensitive "like"

See Also:
  Serialized Form

Constructor Summary
`protected` `IlikeExpression(String propertyName, Object value)` Deprecated.
`protected` `IlikeExpression(String propertyName, String value, MatchMode matchMode)` Deprecated.

Method Summary
`TypedValue[]` `getTypedValues(Criteria criteria, CriteriaQuery criteriaQuery)` Deprecated. Return typed values for all parameters in the rendered SQL fragment
`String` `toSqlString(Criteria criteria, CriteriaQuery criteriaQuery)` Deprecated. Render the SQL fragment
`String` `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IlikeExpression

    protected IlikeExpression(String propertyName,
                              Object value)

  Deprecated.

### IlikeExpression

    protected IlikeExpression(String propertyName,
                              String value,
                              MatchMode matchMode)

  Deprecated.

Method Detail

### toSqlString

    public String toSqlString(Criteria criteria,
                              CriteriaQuery criteriaQuery)
                       throws HibernateException

  Deprecated.
  Description copied from interface: `Criterion`
  Render the SQL fragment

  Specified by:
    `toSqlString` in interface `Criterion`
  Parameters:
    `criteria` - The local criteria
    `criteriaQuery` - The overal criteria query
  Returns:
    The generated SQL fragment
  Throws:
    `HibernateException` - Problem during rendering.

### getTypedValues

    public TypedValue[] getTypedValues(Criteria criteria,
                                       CriteriaQuery criteriaQuery)
                                throws HibernateException

  Deprecated.
  Description copied from interface: `Criterion`
  Return typed values for all parameters in the rendered SQL fragment

  Specified by:
    `getTypedValues` in interface `Criterion`
  Parameters:
    `criteria` - The local criteria
    `criteriaQuery` - The overal criteria query
  Returns:
    The types values (for binding)
  Throws:
    `HibernateException` - Problem determining types.

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.